# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/moments, last modified Wed Feb 12 01:00:07 2025
# ------------------------------------------------

package:
  name: moments
  version: 1.3.1
source:
  sha256: 0a3090462379a09bb16af494d8887258c9ad0e62698365fb84d80a6ab9eec638
  url: https://pypi.org/packages/source/m/moments-popgen/moments_popgen-1.3.1.tar.gz
build:
  number: '0'
  run_exports:
    - moments >=1.3.1,<2.0a0
  script: /opt/mambaforge/envs/bioconda/conda-bld/moments_1739322464266/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vvv --no-deps --no-build-isolation --no-cache-dir
  script_env:
    - SETUPTOOLS_SCM_PRETEND_VERSION=1.3.1
  string: py311h6205d9f_0
requirements:
  build:
    - ca-certificates 2025.1.31 h8857fd0_0
    - cctools_osx-64 1010.6 hd19c6af_3
    - clang 18.1.8 default_h576c50e_7
    - clang-18 18.1.8 default_h3571c67_7
    - clang_impl_osx-64 18.1.8 h6a44ed1_23
    - clang_osx-64 18.1.8 h7e5c614_23
    - clangxx 18.1.8 default_heb2e8d1_7
    - compiler-rt 18.1.8 h1020d70_1
    - compiler-rt_osx-64 18.1.8 hf2b8a54_1
    - ld64_osx-64 951.9 h33512f0_3
    - libclang-cpp18.1 18.1.8 default_h3571c67_7
    - libcxx 19.1.7 hf95d169_0
    - libcxx-devel 18.1.8 h7c275be_7
    - libiconv 1.17 hd75f5a5_2
    - libllvm18 18.1.8 hc29ff6c_3
    - liblzma 5.6.4 hd471939_0
    - libxml2 2.13.5 he8ee3e7_1
    - libzlib 1.3.1 hd23fc13_2
    - llvm-tools 18.1.8 hc29ff6c_3
    - llvm-tools-18 18.1.8 hc29ff6c_3
    - ncurses 6.5 h0622a9a_3
    - openssl 3.4.1 hc426f3f_0
    - pkg-config 0.29.2 hf7e621a_1009
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1300.6.5 h390ca13_0
    - zstd 1.5.6 h915ae27_0
  host:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2025.1.31 h8857fd0_0
    - cython 3.0.12 py311h3c013cf_0
    - libblas 3.9.0 28_h7f60823_openblas
    - libcblas 3.9.0 28_hff6cab4_openblas
    - libcxx 19.1.7 hf95d169_0
    - libexpat 2.6.4 h240833e_0
    - libffi 3.4.6 h281671d_0
    - libgfortran 5.0.0 13_2_0_h97931a8_3
    - libgfortran5 13.2.0 h2873a65_3
    - liblapack 3.9.0 28_h236ab99_openblas
    - liblzma 5.6.4 hd471939_0
    - libopenblas 0.3.28 openmp_hbf64a52_1
    - libsqlite 3.48.0 hdb6dae5_1
    - libzlib 1.3.1 hd23fc13_2
    - llvm-openmp 19.1.7 ha54dae1_0
    - ncurses 6.5 h0622a9a_3
    - numpy 1.23.5 py311h62c7003_0
    - openssl 3.4.1 hc426f3f_0
    - packaging 24.2 pyhd8ed1ab_2
    - pip 25.0.1 pyh8b19718_0
    - python 3.11.11 h9ccd52b_1_cpython
    - python_abi 3.11 5_cp311
    - readline 8.2 h9e318b2_1
    - setuptools 75.8.0 pyhff2d567_0
    - setuptools-scm 8.1.0 pyhd8ed1ab_1
    - tk 8.6.13 h1abcd95_1
    - tomli 2.2.1 pyhd8ed1ab_1
    - typing-extensions 4.12.2 hd8ed1ab_1
    - typing_extensions 4.12.2 pyha770c72_1
    - tzdata 2025a h78e105d_0
    - wheel 0.45.1 pyhd8ed1ab_1
  run:
    - demes
    - mpmath
    - numpy >=1.23.5,<2.0a0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - scipy
test:
  imports:
    - moments
about:
  dev_url: https://github.com/MomentsLD/moments
  doc_url: https://momentsld.github.io/moments
  home: https://github.com/MomentsLD/moments
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: Evolutionary inference using SFS and LD statistics.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.1093/molbev/msz265
    - doi:10.1371/journal.pgen.1008204
    - doi:10.1534/genetics.117.200493
